## moon-lander 0.9.0-6

=== Makefile ===
# Makefile for test program for game_libs - lunar lander
CFLAGS=-Wall `sdl-config --libs --cflags` 
CC=gcc

LIBS=SDL_image

C_FILES=moon_lander.c game_lib.c DT_drawtext.c
OBJ_FILES=moon_lander.o game_lib.o DT_drawtext.o 
OUT_FILE=moon-lander

all: game_lib

game_lib: $(OBJ_FILES)
	$(CC) $(CFLAGS) -o $(OUT_FILE) $(OBJ_FILES) -l$(LIBS) -lSDL_mixer

moon_lander.o: moon_lander.c
	$(CC) $(CFLAGS) -c -o $@ $^

game_lib.o: game_lib.c
	$(CC) $(CFLAGS) -c -o $@ $^

DT_drawtext.o: DT_drawtext.c
	$(CC) $(CFLAGS) -c -o $@ $^

clean: 
	rm -f *.o core  

install: 
	./install.sh

=== debian/changelog ===
moon-lander (1:0.9.0-6) unstable; urgency=low

  * Rebuild to fix dynamically linked libXxf86dga (closes: #117309)

 -- Peter Joseph <kneecaps@debian.org>  Tue, 30 Oct 2001 23:28:56 +0000

moon-lander (1:0.9.0-5) unstable; urgency=low

  * Rebuilt against new SDL packages (closes: #116462)
  * Changed build-deps to reflect above needs

 -- Peter Joseph <kneecaps@debian.org>  Thu, 25 Oct 2001 13:44:18 +0100

moon-lander (1:0.9.0-4) unstable; urgency=low

  * Added -f to rm moon-lander in debian/rules clean targets to ensure
    build continues regardless of presence of moon-lander binary
    (closes: #109986) 

 -- Peter Joseph <kneecaps@debian.org>  Sat, 25 Aug 2001 11:48:46 +0100

moon-lander (1:0.9.0-3) unstable; urgency=low

  * Moon-lander graphics changed to be GPL and DFSG compliant
    (closes: #105326)
  
 -- Peter Joseph <kneecaps@debian.org>  Thu, 23 Aug 2001 22:59:00 +0100

moon-lander (1:0.9.0-2) unstable; urgency=low

  * Fixed rules to clean moon-lander bin

 -- Peter Joseph <kneecaps@debian.org>  Fri,  3 Aug 2001 13:37:58 +0100

moon-lander (1:0.9.0-1) unstable; urgency=low

  * New upstream version
  * Upstream versioning changed
  * Added profanity warning to description (closes: #104363)
  * Used upstreams new DATAPATH variable to set data location
  * Removed moonlander.bin from source tarball  

 -- Peter Joseph <kneecaps@debian.org>  Wed,  1 Aug 2001 13:47:09 +0100

moon-lander (0.020010709-2) unstable; urgency=low

  * Fixed incorrect binary location

 -- Peter Joseph <kneecaps@debian.org>  Fri, 13 Jul 2001 03:46:46 +0100

moon-lander (0.020010709-1) unstable; urgency=low

  * Initial release 				(closes: #103937) 
  * Hardcoded datapaths into source to allow for sane data location
  * Fixed perms and removed moon-lander bin from source tarball

 -- Peter Joseph <kneecaps@debian.org>  Tue,  10 Jul 2001 23:33:18 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: moon-lander
Section: games
Priority: optional
Maintainer: Peter Joseph <kneecaps@debian.org>
Build-Depends: debhelper (>> 3.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev, libsdl-image1.2-dev
Standards-Version: 3.5.2

Package: moon-lander
Architecture: any
Depends: ${shlibs:Depends}
Description: A fun and entertaining game based on the classic moon lander.
 Moonlander is a fun and enjoyable modern graphical version of the
 classic moonlander game. WARNING: Contains one mild profanity.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f moon-lander
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#A lot easier to do this way as upstream has no idea how to make an install
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/moon-lander
	install -o root -g root -m 755 moon-lander debian/moon-lander/usr/games
	install -o root -g root -m 644 images/*.* debian/moon-lander/usr/share/games/moon-lander/images
	install -o root -g root -m 644 images/backgrounds/*.* debian/moon-lander/usr/share/games/moon-lander/images/backgrounds
	install -o root -g root -m 644 images/kablam/*.* debian/moon-lander/usr/share/games/moon-lander/images/kablam
	install -o root -g root -m 644 sounds/*.* debian/moon-lander/usr/share/games/moon-lander/sounds
	install -o root -g root -m 644 fonts/*.* debian/moon-lander/usr/share/games/moon-lander/fonts



binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/moon-lander.6
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## moon-lander 1.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 C_FILES=moon_lander.c game_lib.c DT_drawtext.c
 OBJ_FILES=moon_lander.o game_lib.o DT_drawtext.o 
-OUT_FILE=moon-lander
+OUT_FILE=moon-lander.bin
 
 all: game_lib

=== debian/changelog ===
moon-lander (1:1.0-9) unstable; urgency=medium

  * QA upload.
  * Generate a 64px PNG icon (installed in the hicolor XDG icon theme) from the
    upstream ICO file at build time, so there is no need to ship a static file
    in the Debian packaging
    - add the icoutils indep build dependency
  * Remove the old moon-lander.xpm icon, no more needed since the removal of
    the Debian menu file in 1:1.0-6.
  * Move the permissions fix of the moon-lander-data files in an own
    execute_after_dh_fixperms-indep.
  * Tighten the moon-lander-data dependency in moon-lander.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Remove trailing whitespaces, and empty lines at the ends of changelog, and
    control.
  * Add Rules-Requires-Root: no.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Sun, 10 Oct 2021 10:33:25 +0200

moon-lander (1:1.0-8) unstable; urgency=medium

  * QA upload.
  * Fix bug in bonus ship calculation. Patch provided by Asher Gordon.
    Closes: #944483.
  * Remove extraneous 'foo' patch from d/patches.
  * Make d/copyright DEP-5 compliant.
  * Include "missing" source for moon-lander.bin.
  * Bump debhelper version to >= 12.
  * Add desktop file keywords.

 -- Imre Jonk <imre@imrejonk.nl>  Sat, 27 Mar 2021 09:38:46 +0100

moon-lander (1:1.0-7) unstable; urgency=medium

  * QA upload.
  * Add fix-crashes-at-startup.patch:
    - Add patch from Artur Rona

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Dec 2017 00:37:13 -0500

moon-lander (1:1.0-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team.
  * Make the data package M-A:foreign.
  * Remove the menu file -- there's already a .desktop.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 12 Oct 2017 07:57:17 +0200

moon-lander (1:1.0-5) unstable; urgency=low

  * ack NMU
  * Switch to dpkg-source 3.0 (quilt) format
  * split up patches and add DEP3 headers
  * bump debhelper compat -> 9
  * bump std-ver to 3.9.4, no changes
  * minimize d/rules using dh(1)
  * make lintian happy and remove reference to BSD common-license file
    since it's already fully included in the copyright file
  * fix short description to satisfy lintian
  * fix handling of LDFLAGS for relro hardening
  * Add desktop menu file, thanks Daniel Dickinson, closes: #478927.
  * fix all gcc warnings, closes: #688585.
  * remove versioning from libsdl1.2-dev build-dep as even squeeze
    (oldstable) satisfies it

 -- Joe Nahmias <jello@debian.org>  Tue, 25 Jun 2013 17:10:25 -0400

moon-lander (1:1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with binutils-gold", added missing link to libm
    (Thanks to Paul Merrill ) (Closes: #555753)
  * Urgency set to medium, rc Bug fix

 -- Meike Reichle <meike@debian.org>  Sat, 03 Dec 2011 11:44:55 +0100

moon-lander (1:1.0-4) unstable; urgency=low

  * Add remaining fuel to score, closes: #347240.
  * When choosing a background, skip anything other than a regular file,
    closes: #418019.
  * moon-lander-data: recommend moon-lander.
  * moon-lander-data: remove obsolete conflict, it's not even available in
    oldstable (sarge).
  * Don't build moon-lander-data in binary-arch target, closes: #304115.
  * Update menu section to comply with new policy: Arcade => Action.

 -- Joe Nahmias <jello@debian.org>  Fri, 10 Aug 2007 00:49:35 -0400

moon-lander (1:1.0-3) unstable; urgency=low

  * Split game data into separate arch-indep pkg, closes: #233416.

 -- Joe Nahmias <jello@debian.org>  Mon,  5 Jul 2004 22:58:14 -0400

moon-lander (1:1.0-2) unstable; urgency=low

  * XPM files are text -- No need to uu{en,de}code.  Thanks Roger Ward!
      - debian/control: Build-deps -= sharutils.
      - debian/rules: remove references to uudecode.
  * debian/control(Std-Ver): 3.6.1.0
  * debian/control: Updated maintainer address.

 -- Joe Nahmias <joe@nahmias.net>  Sun, 28 Sep 2003 23:59:57 -0400

moon-lander (1:1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
      - New maintainer, closes: #182984.
      - Standards-Version ==> 3.5.8.0.
      - Build-deps: added sharutils for uudecode.
  * debian/rules: added CFLAGS handling for std-ver compliance.
  * New files:
      - debian/compat: set to 4.
      - debian/moon-lander.xpm.uue: icon for menu.
      - Makefile.Debian: rewrite of upstream's borked makefile for Debian.

 -- Joe Nahmias <joe@nahmias.net>  Mon, 10 Mar 2003 22:18:18 -0500

=== debian/control ===
Source: moon-lander
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libsdl1.2-dev, libsdl-mixer1.2-dev,
 libsdl-image1.2-dev
Build-Depends-Indep:
 icoutils,
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: moon-lander
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, moon-lander-data (>= ${source:Version})
Description: game based on the classic moon lander
 Moonlander is a fun and enjoyable modern graphical version (with
 sound) of the classic moonlander game.  The objective is to land
 your rocketship safely using a limited amount of fuel while
 fighting gravity.

Package: moon-lander-data
Architecture: all
Depends: ${misc:Depends}
Recommends: moon-lander
Multi-Arch: foreign
Description: Data files (sound, images) for moon-lander
 Moonlander is a fun and enjoyable modern graphical version (with
 sound) of the classic moonlander game.  The objective is to land
 your rocketship safely using a limited amount of fuel while
 fighting gravity.
 .
 This package contains only the data files.  Install the moon-lander
 package if you want to play the game.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

override_dh_auto_install:
	true	# Don't call upstream's install.sh

execute_after_dh_install-indep:
	mkdir -p $(CURDIR)/debian/moon-lander-data/usr/share/icons/hicolor/64x64/apps
	icotool -x --index=1 \
	  -o $(CURDIR)/debian/moon-lander-data/usr/share/icons/hicolor/64x64/apps/moon-lander.png \
	  images/moon-lander.ico

execute_after_dh_fixperms-indep:
	find $(CURDIR)/debian/moon-lander-data/ -type f -print0 | \
          xargs -0r chmod 644

%:
	dh  $@
